Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.tools.groovydoc
Class SimpleGroovyDoc

    java.lang.Object
      org.codehaus.groovy.tools.groovydoc.SimpleGroovyDoc

All Implemented Interfaces:
  Comparable, GroovyDoc

Direct Known Subclasses:
  SimpleGroovyPackageDoc, SimpleGroovyProgramElementDoc, SimpleGroovyRootDoc

    public class SimpleGroovyDoc

extends Object
implements GroovyDoc

Constructor Summary
`SimpleGroovyDoc(String name)`
`SimpleGroovyDoc(String name, List links)`

Method Summary
`String` | `commentText()`
`int` | `compareTo(Object that)`
`String` | `firstSentenceCommentText()`
`String` | `getDocUrl(String type)`
`String` | `getRawCommentText()`
`boolean` | `isAnnotationType()`
`boolean` | `isAnnotationTypeElement()`
`boolean` | `isClass()`
`boolean` | `isConstructor()`
`boolean` | `isEnum()`
`boolean` | `isEnumConstant()`
`boolean` | `isError()`
`boolean` | `isException()`
`boolean` | `isField()`
`boolean` | `isIncluded()`
`boolean` | `isInterface()`
`boolean` | `isMethod()`
`boolean` | `isOrdinaryClass()`
`String` | `name()`
`String` | `replaceAllTags(String self, String regex, String s1, String s2)`
`void` | `setAsInterfaceDefinition()`
`void` | `setRawCommentText(String rawCommentText)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SimpleGroovyDoc

    public SimpleGroovyDoc(String name,
                           List links)

### SimpleGroovyDoc

    public SimpleGroovyDoc(String name)

Method Detail

### name

    public String name()

  Specified by:
    `name` in interface `GroovyDoc`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### commentText

    public String commentText()

  Specified by:
    `commentText` in interface `GroovyDoc`

### getRawCommentText

    public String getRawCommentText()

  Specified by:
    `getRawCommentText` in interface `GroovyDoc`

### firstSentenceCommentText

    public String firstSentenceCommentText()

  Specified by:
    `firstSentenceCommentText` in interface `GroovyDoc`

### setRawCommentText

    public void setRawCommentText(String rawCommentText)

  Specified by:
    `setRawCommentText` in interface `GroovyDoc`

### replaceAllTags

    public String replaceAllTags(String self,
                                 String regex,
                                 String s1,
                                 String s2)

### getDocUrl

    public String getDocUrl(String type)

### isClass

    public boolean isClass()

  Specified by:
    `isClass` in interface `GroovyDoc`

### isInterface

    public boolean isInterface()

  Specified by:
    `isInterface` in interface `GroovyDoc`

### setAsInterfaceDefinition

    public void setAsInterfaceDefinition()

### compareTo

    public int compareTo(Object that)

  Specified by:
    `compareTo` in interface `Comparable`

### isAnnotationType

    public boolean isAnnotationType()

  Specified by:
    `isAnnotationType` in interface `GroovyDoc`

### isAnnotationTypeElement

    public boolean isAnnotationTypeElement()

  Specified by:
    `isAnnotationTypeElement` in interface `GroovyDoc`

### isConstructor

    public boolean isConstructor()

  Specified by:
    `isConstructor` in interface `GroovyDoc`

### isEnum

    public boolean isEnum()

  Specified by:
    `isEnum` in interface `GroovyDoc`

### isEnumConstant

    public boolean isEnumConstant()

  Specified by:
    `isEnumConstant` in interface `GroovyDoc`

### isError

    public boolean isError()

  Specified by:
    `isError` in interface `GroovyDoc`

### isException

    public boolean isException()

  Specified by:
    `isException` in interface `GroovyDoc`

### isField

    public boolean isField()

  Specified by:
    `isField` in interface `GroovyDoc`

### isIncluded

    public boolean isIncluded()

  Specified by:
    `isIncluded` in interface `GroovyDoc`

### isMethod

    public boolean isMethod()

  Specified by:
    `isMethod` in interface `GroovyDoc`

### isOrdinaryClass

    public boolean isOrdinaryClass()

  Specified by:
    `isOrdinaryClass` in interface `GroovyDoc`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2008 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD